package com.saki.ui.adapter;

import android.os.Handler;
import android.os.Message;

public class PromoteTroopAdapterHandler extends Handler {
    private final PromoteTroopAdapter adapter;

    public PromoteTroopAdapterHandler(PromoteTroopAdapter adapter) {
        this.adapter = adapter;
    }

    @Override
    public void handleMessage(Message msg) {
        super.handleMessage(msg);
        adapter.notifyDataSetChanged();
    }
}
